Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class SsiInvokerServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.catalina.servlets.SsiInvokerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public final class SsiInvokerServlet
extends javax.servlet.http.HttpServlet

Servlet to process SSI requests within a webpage. Mapped to a path from within web.xml.

Version:
  $Revision: 1.8.2.1 $, $Date: 2001/10/22 21:35:48 $
Author:
  Bip Thelin, Amy Roh
See Also:
  Serialized Form

Constructor Summary
`SsiInvokerServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the GET request to our `requestHandler()`.
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the POST request to our `requestHandler()`.
`void` | `init()` Initialize this servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsiInvokerServlet

    public SsiInvokerServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - if an error occurs

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process and forward the GET request to our `requestHandler()`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process and forward the POST request to our `requestHandler()`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.